libzypp 17.37.10

zypp::CompareBy< Tp, TCompare > Struct Template Reference

Functor to compare two elements by Rel based on a general TCompare functor. More...

`#include <zypp/RelCompare.h>`

## Public Member Functions
| CompareBy (Rel op_r)
bool | operator() (const Tp &lhs, const Tp &rhs) const

## Public Attributes
Rel | _op

## Detailed Description

template<class Tp, class TCompare = Compare<Tp>>
struct zypp::CompareBy< Tp, TCompare >

Functor to compare two elements by Rel based on a general TCompare functor.

Expects TCompare to be suitable for use in compareByRel. Defaults to Compare<Tp>.

Definition at line 158 of file RelCompare.h.

## Constructor & Destructor Documentation

## ◆ CompareBy()

template<class Tp, class TCompare = Compare<Tp>>

zypp::CompareBy< Tp, TCompare >::CompareBy | ( | Rel | op_r | ) |
| inline

Definition at line 160 of file RelCompare.h.

## Member Function Documentation

## ◆ operator()()

template<class Tp, class TCompare = Compare<Tp>>

bool zypp::CompareBy< Tp, TCompare >::operator() | ( | const Tp & | lhs,
|  | const Tp & | rhs ) const
| inline

Definition at line 164 of file RelCompare.h.

## Member Data Documentation

## ◆ _op

template<class Tp, class TCompare = Compare<Tp>>

Rel zypp::CompareBy< Tp, TCompare >::_op

Definition at line 167 of file RelCompare.h.

The documentation for this struct was generated from the following file:

- zypp/RelCompare.h